"use client"
import React, { useState } from "react"
import Button from "@/components/base/Button/Button"
import Input from "@/components/base/input/Input"
import styles from "./form.module.css"


interface FormProps {
    handleSubmit: (data: any) => Promise<void>;
}

const FormComponent: React.FC<FormProps> = ({ handleSubmit }) => {
    const [input, setinput] = useState('')
    const [isError, setisError] = useState(false)
    const onSubmit = (e: React.SyntheticEvent) => {
        e.preventDefault();
        console.log(e)
        if (input === '') {
            setisError(true)
            return
        }
        handleSubmit(input)
    }
    const handleChange = (e: React.ChangeEvent<HTMLInputElement>) => {
        setinput(e.target.value)
        if (isError) {
            setisError(false)
        }

    }
    return (
        <form className={styles.form} onSubmit={onSubmit}>
            <div className={styles.iwrapper}>
                <Input placeholder="Enter Item..."
                    onChange={handleChange} ErrorMessage={isError ? "Enter the Field" : undefined} />
            </div>
            <div className={styles.bwrapper}>
                <Button size="sm" >
                    Submit
                </Button>
            </div>

        </form>
    )
}

export default FormComponent