import type { Meta, StoryObj } from '@storybook/react';
import List from './List';
import { List_data } from '@/utils/data';
import { fn } from '@storybook/test';
import Heading from '@/components/base/Heading/Heading';
import FormComponent from '@/components/Top-Level/Form/FormComponent';

const meta: Meta<typeof List> = {
    title: 'Layout',
    component: List,
};

export default meta;

type Story = StoryObj<typeof meta>;

export const List_: Story = {
    args: {
        data: List_data,
        onChange: fn(),
        onClose: fn(),
        onComplete: fn()
    }
};

export const Todos: Story = {
    args: {
        data: List_data,
        onChange: fn(),
        onClose: fn(),
        onComplete: fn()
    },
    // parameters: {
    //     layout: 'centered',
    // },
    render: (args) => (
        <div style={{
            display: 'flex',
            justifyContent: 'center',
            flexShrink: 1,
            width: '100%',
        }}>

            <div style={{
                boxShadow: '2px 2px 3px rgba(0,0,0,0.06), -2px -2px 3px rgba(0,0,0,0.06)',
                flexBasis: '100%',
                maxWidth: '600px',
                flexGrow: 1,
            }}>
                <Heading count={args.data.length} />
                <List {...args} />
                <FormComponent handleSubmit={fn()} />
            </div>
        </div>
    )
}